# Quick TODO list

*P* = pending; *W* = working on it; *D* = done.

## Critical for MVP

- *D* LMDB back end
- *D* Hash table back end
- *D* Namespace manager
- *D* N3 serialization / deserialization
- *W* Python bindings
    - *D* Basic module framework
    - *D* term, triple, graph modules
    - *D* Codec integration
    - *D* Graph remove and lookup ops
    - *W* Namespace module
    - *P* Tests
- *P* Environment
- *P* Turtle serialization / deserialization
- *P* Better error handling


## Non-critical for MVP

- Logging
- Term and triple validation
- NQ codec
- TriG codec


## Long-term

- Generic graph (non RDF constrained)
- Lua bindings
